Name: sqlite3
Version: 3.2.2
Release: alt1

Summary: An Embeddable SQL Database Engine
License: Public Domain
Group: Development/Databases

URL: http://www.sqlite.org/
Source: sqlite-%version.tar.bz2

Requires: lib%name-devel = %version-%release

# Added by buildreq2 on Fri Jun 24 2005
BuildRequires: gcc-c++ gcc-g77 libreadline-devel tcl-devel

%package -n lib%name
Summary: SQLite runtime library
Group: System/Libraries

%package -n lib%name-devel
Summary: Devel files for SQLite
Group: Development/Databases
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: Static Libraries for SQLite
Group: Development/Databases
Requires: lib%name-devel = %version-%release

%package tcl
Summary: Tcl binding for SQLite
Group: Development/Tcl
Requires: lib%name = %version-%release

%description
SQLite is a small C library that implements a self-contained, embeddable,
zero-configuration SQL database engine.

%description -n lib%name
SQLite is a small C library that implements a self-contained, embeddable,
zero-configuration SQL database engine.

%description -n lib%name-devel
Header files for SQLite, a small C library that implements a self-contained,
embeddable, zero-configuration SQL database engine.

%description -n lib%name-devel-static
Static SQLite library, a small C library that implements a self-contained,
embeddable, zero-configuration SQL database engine.

%description tcl
Tcl binding for SQLite, a small C library that implements a self-contained,
embeddable, zero-configuration SQL database engine.

%prep
%setup -q -n sqlite-%version
%__subst -p 's,\$(libdir)/sqlite,%_tcllibdir,g' Makefile.in

# hack for `make doc'
%__cp -a www/arch.png arch.png

%build
%configure --enable-threadsafe
%make_build all libtcl%name.la doc

%install
%make_install install DESTDIR=%buildroot
%__install -pD -m644 %name.1 %buildroot%_man1dir/%name.1

%__mkdir_p %buildroot%_tcllibdir
./libtool --mode=install %__install libtcl%name.la %buildroot%_tcllibdir
%__rm -fv %buildroot%_tcllibdir/*.{a,la}

%__mkdir_p %buildroot%_tcldatadir/sqlite3
%__cat <<EOF >%buildroot%_tcldatadir/sqlite3/pkgIndex.tcl
package ifneeded sqlite3 3.0 [list load [file join \$dir .. .. .. lib tcl libtcl%name.so.0] sqlite3]
EOF

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%doc doc/*.*
%_bindir/%name
%_man1dir/%name.*

%files -n lib%name
%_libdir/lib%name.so.?*

%files -n lib%name-devel
%_includedir/%name.h
%_libdir/lib%name.so
#_libdir/lib%name.la
%_libdir/pkgconfig/%name.pc

%files -n lib%name-devel-static
%_libdir/lib%name.a

%files tcl
%_tcllibdir/libtcl%name.so*
%dir %_tcldatadir/sqlite3
%_tcldatadir/sqlite3/pkgIndex.tcl

%changelog
* Fri Jun 24 2005 Alexey Tourbin <at@altlinux.ru> 3.2.2-alt1
- 3.2.1 -> 3.2.2
- enabled thread-safety (--enable-threadsafe configure option)
- removed --enable-utf8 configure option (has no effect)

* Wed Apr 06 2005 Alexey Tourbin <at@altlinux.ru> 3.2.1-alt1
- 3.1.3 -> 3.2.1

* Fri Mar 04 2005 Alexey Tourbin <at@altlinux.ru> 3.1.3-alt1
- 3.0.8 -> 3.1.3

* Fri Nov 26 2004 Alexey Tourbin <at@altlinux.ru> 3.0.8-alt1.1
- fixed tcl bindings (patch by Sergey Bolshakov)

* Thu Oct 21 2004 Alexey Tourbin <at@altlinux.ru> 3.0.8-alt1
- 3.0.6 -> 3.0.8
- alt-makefile.patch merged upstream (sqlite ticket #903 for `mkdir -p',
  sqlite ticket #904 for libdir/lib64)
- added post/postun ldconfig scripts

* Thu Sep 16 2004 Alexey Tourbin <at@altlinux.ru> 3.0.6-alt1
- 3.0.4 -> 3.0.6
- hopefully should build on x86_64

* Fri Aug 13 2004 Alexey Tourbin <at@altlinux.ru> 3.0.4-alt1
- 2.8.13 -> 3.0.4 (beta), renamed to sqlite3

* Fri Jun 04 2004 Denis Smirnov <mithraen@altlinux.ru> 2.8.13-alt4
- Rebuild

* Thu Jun 03 2004 Denis Smirnov <mithraen@altlinux.ru> 2.8.13-alt2
- Fix for correcting update

* Mon May 31 2004 Denis Smirnov <mithraen@altlinux.ru> 2.8.13-alt1
- Some minor packaging fixes
- Tcl binding bugfix

* Sun Apr 11 2004 Denis Smirnov <mithraen@altlinux.ru> 2.8.5-alt3
- Tcl binding build

* Sat Dec 13 2003 Ott Alex <ott@altlinux.ru> 2.8.5-alt2
- Remove .la files

* Sun Jul 27 2003 Ott Alex <ott@altlinux.ru> 2.8.5-alt1
- New version

* Tue Jul 22 2003 Ott Alex <ott@altlinux.ru> 2.8.4-alt1
- Initial build
